%define fw_version 5.24

Summary:	KDE Frameworks 5 integration with su for elevated privileges module
Name:		kdesu
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5pty-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(x11)

%description
KDE Frameworks 5 integration with su for elevated privileges module.

KDESu provides functionality for building GUI front ends for (password asking)
console mode programs. For example, kdesu and kdessh use it to interface with
su and ssh respectively.

%files
%attr(2755,root,nogroup) %{_kde5_libexecdir}/kf5/kdesud
%{_kde5_libexecdir}/kf5/kdesu_stub

#----------------------------------------------------------------------------

%package i18n
Summary:	KDESu translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDESu translations.

%files i18n -f kdesud5.lang

#----------------------------------------------------------------------------

%define kf5su_major 5
%define libkf5su %mklibname kf5su %{kf5su_major}

%package -n %{libkf5su}
Summary:	KDE Frameworks 5 KDESu shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5su}
KDE Frameworks 5 KDESu shared library.

%files -n %{libkf5su}
%{_kde5_libdir}/libKF5Su.so.%{kf5su_major}*

#----------------------------------------------------------------------------

%define devkf5su %mklibname kf5su -d

%package -n %{devkf5su}
Summary:	Development files for KDE Frameworks 5 KDESu module
Group:		Development/KDE and Qt
Requires:	%{libkf5su} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5su-devel = %{version}

%description -n %{devkf5su}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5su}
%{_kde5_includedir}/KF5/KDESu
%{_kde5_includedir}/KF5/kdesu_version.h
%{_kde5_libdir}/cmake/KF5Su
%{_kde5_libdir}/libKF5Su.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang kdesud5

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (9c9f8c2) New version 5.24.0


